curl --request POST \
--url https://api.assembly.com/v1/installs/{installId}/connections \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"content": "https://app.example.com/embed",
"type": "link",
"autoSizeEmbed": true,
"clientIds": [
"550e8400-e29b-41d4-a716-446655440000",
"7c9e6679-7425-40de-944b-e07fc1f90ae7"
],
"companyId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"membershipType": "company"
}
'import requests
url = "https://api.assembly.com/v1/installs/{installId}/connections"
payload = {
"content": "https://app.example.com/embed",
"type": "link",
"autoSizeEmbed": True,
"clientIds": ["550e8400-e29b-41d4-a716-446655440000", "7c9e6679-7425-40de-944b-e07fc1f90ae7"],
"companyId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"membershipType": "company"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: 'https://app.example.com/embed',
type: 'link',
autoSizeEmbed: true,
clientIds: ['550e8400-e29b-41d4-a716-446655440000', '7c9e6679-7425-40de-944b-e07fc1f90ae7'],
companyId: 'a1b2c3d4-e5f6-7890-abcd-ef1234567890',
membershipType: 'company'
})
};
fetch('https://api.assembly.com/v1/installs/{installId}/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"clientIds": [
"<string>"
],
"companyId": "<string>",
"content": "<string>",
"createdAt": "<string>",
"creatorId": "<string>",
"data": "<string>",
"domainMetadata": {
"autoSizeEmbed": true,
"companyId": "<string>",
"embedCode": "<string>",
"embedLink": "<string>",
"embedlyData": {
"author_name": "<string>",
"author_url": "<string>",
"cache_age": 123,
"description": "<string>",
"height": 123,
"html": "<string>",
"provider_name": "<string>",
"provider_url": "<string>",
"thumbnail_height": 123,
"thumbnail_url": "<string>",
"thumbnail_width": 123,
"title": "<string>",
"type": "<string>",
"url": "<string>",
"version": "<string>",
"width": 123
},
"extensionConfigId": "<string>",
"memberIDs": {}
},
"id": "<string>",
"identityId": "<string>",
"installId": "<string>",
"object": "<string>",
"previousAttributes": {},
"ref": "<string>",
"updatedAt": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}Create an app install connection
Creates an embed or link connection on a manual app install, scoped to a set of clients or a company. All targeted clients must belong to the same company. Requires internal-user privileges.
Authorizations
Path Parameters
Unique identifier of the manual app install
Body
Connection to create
Content is the embed code (for embed connections) or the destination URL (for link connections).
"https://app.example.com/embed"
Type is the kind of connection to create.
embed, link "link"
AutoSizeEmbed controls whether an embed connection auto-sizes its iframe; defaults to true.
true
ClientIDs are the clients the connection should be scoped to; all must belong to the same company.
[
"550e8400-e29b-41d4-a716-446655440000",
"7c9e6679-7425-40de-944b-e07fc1f90ae7"
]
CompanyID scopes the connection to a company; required when no clients are provided.
"a1b2c3d4-e5f6-7890-abcd-ef1234567890"
MembershipType overrides how the connection's membership is interpreted (individual, group, or company).
individual, group, company "company"
Response
OK
external facing root fields
Show child attributes
Show child attributes
individual, group, company embed, link